
##----------------------------------------------------------##
##                                                          ##
##  Universal Makefile for module Version : V1.4            ##
##                                                          ##
##  Created : Wei Liu 07/04/11                              ##
##  Revision: [Last]Wei Liu 07/06/18                        ##
##                                                          ##
##----------------------------------------------------------##

##---------------------------------------------------------------------##
##--------------------------------------
##
##  Project correlation(Customer define)
##
##--------------------------------------

## MODULE= [Module Name]
## TYPE  = app/plat   => Module Type

## DBUG_FLAGS_ADD = [Module Define Gcc Flags for Debug  ]  
## DBUG_FLAGS_ADD = [Module Define Gcc Flags for Release]

## BUILD = lib/exef      => Output file format
## CFG   = debug/release => Build Configuration

## SRC_PATH = [Source  file path]
## INC_PATH = [Include file path]
## APP_PATH = [App  Module  path]
## PLT_PATH = [Plat Module  path]

## PLT_LIB  = [Needed plat   lib for Link] => just for test or wxc2main
## APP_LIB  = [Needed app    lib for Link] => just for test or wxc2main
## LIB_ADD  = [Needed Extend lib for Link] => just for test or wxc2main

## PLT_LIB e.g. = haepub fsm mng proto kernel aif mgc mgcp sip rtp \
##                8ecp bicc smpp xapp tcap mtp3 m2ua \
##                snmp iptrans debug sccp public
##
## APP_LIB e.g. = msc vlr ssf hlr ae pps mnp smsc vms aas 
## LIB_ADD e.g. = -liba3a8 -lm

## OBJ_ADD        = [Extend third party object files needed] 
## TEST_OBJ_PATH  = [module object files Path for test ] => just for test 
##---------------------------------------------------------------------##



MODULE  = publictest
TYPE    = plat

DBUG_FLAGS_ADD =
RELS_FLAGS_ADD =

##Default commonly as below

BUILD       = exef
CFG         = debug

PLT_LIB     = public
APP_LIB     =
LIB_ADD     = 

SRC_PATH    = ./src 
INC_PATH    = ./src/include
PLT_PATH    = ../../../../plat
APP_PATH    = ../../../../mss

OBJ_ADD     = 
TEST_OBJ_PATH  = ../../obj

##---------------------------------------------------------------------##
##--------------------------------------
##
##  Make configuration(Customer define)
##
##--------------------------------------

## CCFLAG_SWITCH = on/off      => gcc flag show on/off
## COVER_NEED    = yes/no      => PTF cover report needed
## COVER_REPORT_PATH = [path ] => PTF cover report path

CCFLAG_SWITCH         = on
COVER_NEED            = 
COVER_REPORT_PATH     = ./ut/ut_doc/output

##---------------------------------------------------------------------##


##--------------------------------------
##
##  include makefile.rules (Do not change)
##
##--------------------------------------
MAKE_INCLUDE = ../../inc
include $(MAKE_INCLUDE)/Makefile.rules



